summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick/tdebase/debian/kdm-trinity.postrm
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-11-04 12:06:08 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-11-04 12:06:08 -0500
commit1b6efb141bcf333e5c73a520e701d1de8cafcf4e (patch)
tree2c8231c62e760299a8109716eecf4647514b3315 /ubuntu/maverick/tdebase/debian/kdm-trinity.postrm
parenta2c2f2ed2eaad5d897c9a00ff5d804486751e603 (diff)
downloadtde-packaging-1b6efb141bcf333e5c73a520e701d1de8cafcf4e.tar.gz
tde-packaging-1b6efb141bcf333e5c73a520e701d1de8cafcf4e.zip
Rename kde packages to tde
Diffstat (limited to 'ubuntu/maverick/tdebase/debian/kdm-trinity.postrm')
-rw-r--r--ubuntu/maverick/tdebase/debian/kdm-trinity.postrm38
1 files changed, 38 insertions, 0 deletions
diff --git a/ubuntu/maverick/tdebase/debian/kdm-trinity.postrm b/ubuntu/maverick/tdebase/debian/kdm-trinity.postrm
new file mode 100644
index 000000000..b5719fadd
--- /dev/null
+++ b/ubuntu/maverick/tdebase/debian/kdm-trinity.postrm
@@ -0,0 +1,38 @@
+#! /bin/sh -e
+
+case "$1" in
+ purge)
+ rm -rf /var/log/kdm-trinity.log*
+ ;;
+
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+if [ "$1" = "abort-install" -o "$1" = "abort-upgrade" ]; then
+ # roll back displacement of default display manager file
+ if [ -e "$DEFAULT_DISPLAY_MANAGER_FILE.dpkg-tmp" ]; then
+ # FIXME - redo this part uses shell-lib.sh from xfree86
+ #observe "rolling back change of default X display manager"
+ mv "$DEFAULT_DISPLAY_MANAGER_FILE.dpkg-tmp" "$DEFAULT_DISPLAY_MANAGER_FILE"
+ fi
+fi
+
+if [ "$1" = "purge" ]; then
+ for DIR in /var/lib/kdm-trinity; do
+ if [ -d "$DIR" ]; then
+ rm -rf "$DIR"
+ fi
+ done
+ rm -f /var/log/kdm-trinity.log*
+fi
+
+#DEBHELPER#
+
+exit 0